# Class: Index2d

## Index2d

#### new Index2d()

The index class used to instantiate 2d indexes that the database can use to handle high-performance geospatial queries.

Source:
  - Index2d.js, line 43

### Methods

- init(keys, options, collection)
- lookup(query, options, opopt) → {*}

#### init(keys, options, collection)

Create the index.

##### Parameters:

Name | Type | Description
--- | --- | ---
`keys` | Object | The object with the keys that the user wishes the index to operate on.
`options` | Object | Can be undefined, if passed is an object with arbitrary options keys and values.
`collection` | Collection | The collection the index should be created for.

Source:
  - Index2d.js, line 55

#### lookup(query, options, opopt) → {*}

Looks up records that match the passed query and options.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`query` |  |  | The query to execute.
`options` |  |  | A query options object.
`op` | Operation | <optional> | Optional operation instance that allows us to provide operation diagnostics and analytics back to the main calling instance as the process is running.

Source:
  - Index2d.js, line 229

##### Returns:

Type
  *